<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{865D604D-3E42-401A-9E5D-AAC9D517A04C}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>MOKA_Factory_Tools</RootNamespace>
    <AssemblyName>MOKA Factory Tools</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <TargetFrameworkProfile />
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>3.0.0.%2a</ApplicationVersion>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>true</Prefer32Bit>
    <LangVersion>8.0</LangVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>none</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>true</Prefer32Bit>
    <LangVersion>8.0</LangVersion>
    <DebugSymbols>false</DebugSymbols>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>Icons\SCBC Factory Tools.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationManifest>app.manifest</ApplicationManifest>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Simulation|AnyCPU'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\Simulation\</OutputPath>
    <DefineConstants>TRACE;DEBUG;SIMULATION</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <LangVersion>8.0</LangVersion>
    <ErrorReport>prompt</ErrorReport>
    <Prefer32Bit>true</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Download|AnyCPU'">
    <OutputPath>bin\Download\</OutputPath>
    <DefineConstants>TRACE;OD_VER</DefineConstants>
    <Optimize>false</Optimize>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <LangVersion>8.0</LangVersion>
    <ErrorReport>prompt</ErrorReport>
    <Prefer32Bit>true</Prefer32Bit>
    <DebugType>full</DebugType>
    <DebugSymbols>true</DebugSymbols>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="CSkin, Version=16.1.14.3, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>Lib\CSkin\CSkin.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=6.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>Lib\Newtonsoft.Json\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data.SQLite, Version=1.0.115.5, Culture=neutral, PublicKeyToken=db937bc2d44ff139, processorArchitecture=MSIL">
      <HintPath>packages\Stub.System.Data.SQLite.Core.NetFramework.1.0.115.5\lib\net46\System.Data.SQLite.dll</HintPath>
    </Reference>
    <Reference Include="System.Design" />
    <Reference Include="System.Management" />
    <Reference Include="System.Web" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BLL\NTFBLL.cs" />
    <Compile Include="Business\CommonMethod.cs" />
    <Compile Include="Business\Countkey.cs" />
    <Compile Include="Business\GMethod.cs" />
    <Compile Include="Business\SanhuaMethod.cs" />
    <Compile Include="Business\V2Method.cs" />
    <Compile Include="DAL\BaseDAL.cs" />
    <Compile Include="DAL\DAL_AMResult.cs" />
    <Compile Include="DAL\DAL_AMYields.cs" />
    <Compile Include="Database\CommandInfo.cs" />
    <Compile Include="Database\ConnectionParameters.cs" />
    <Compile Include="Database\DbHelper.cs" />
    <Compile Include="Http\AES_DES.cs" />
    <Compile Include="LResource.zh-CN.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>LResource.zh-CN.resx</DependentUpon>
    </Compile>
    <Compile Include="Models\AMResult.cs" />
    <Compile Include="Models\AMYields.cs" />
    <Compile Include="Verify\CRC-CCITT %280xFFFF%29.cs" />
    <Compile Include="Verify\CRCUtils.cs" />
    <Compile Include="Views\CreateDBManually.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Views\CreateDBManually.Designer.cs">
      <DependentUpon>CreateDBManually.cs</DependentUpon>
    </Compile>
    <Compile Include="Views\SanhuaMES.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Views\SanhuaMES.Designer.cs">
      <DependentUpon>SanhuaMES.cs</DependentUpon>
    </Compile>
    <Compile Include="Views\Upgrade.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Views\Upgrade.Designer.cs">
      <DependentUpon>Upgrade.cs</DependentUpon>
    </Compile>
    <Compile Include="Views\Download.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Views\Download.Designer.cs">
      <DependentUpon>Download.cs</DependentUpon>
    </Compile>
    <Compile Include="Views\Main.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Views\Main.Designer.cs">
      <DependentUpon>Main.cs</DependentUpon>
    </Compile>
    <Compile Include="Http\FormPost.cs" />
    <Compile Include="Verify\GetMD5.cs" />
    <Compile Include="Http\HttpHelper.cs" />
    <Compile Include="Config\Iniconfig.cs" />
    <Compile Include="Views\Login.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Views\Login.Designer.cs">
      <DependentUpon>Login.cs</DependentUpon>
    </Compile>
    <Compile Include="LResource.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>LResource.resx</DependentUpon>
    </Compile>
    <Compile Include="Views\OperationPanel.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Views\OperationPanel.Designer.cs">
      <DependentUpon>OperationPanel.cs</DependentUpon>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="IO\SerialCMD.cs" />
    <Compile Include="IO\SerialInit.cs" />
    <Compile Include="Database\SQLiteHelper.cs" />
    <Compile Include="Models\StructList.cs" />
    <Compile Include="LogHelper\Writelog.cs" />
    <Compile Include="Http\Xmlconfig.cs" />
    <Compile Include="Views\Verify.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Views\Verify.Designer.cs">
      <DependentUpon>Verify.cs</DependentUpon>
    </Compile>
    <EmbeddedResource Include="Views\CreateDBManually.resx">
      <DependentUpon>CreateDBManually.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\CreateDBManually.zh-CN.resx">
      <DependentUpon>CreateDBManually.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\OperationPanel.zh-CN.resx">
      <DependentUpon>OperationPanel.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\SanhuaMES.resx">
      <DependentUpon>SanhuaMES.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\Upgrade.resx">
      <DependentUpon>Upgrade.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\Download.resx">
      <DependentUpon>Download.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\Main.resx">
      <DependentUpon>Main.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\Main.zh-CN.resx">
      <DependentUpon>Main.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\Login.resx">
      <DependentUpon>Login.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\Login.zh-CN.resx">
      <DependentUpon>Login.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="LResource.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>LResource.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="LResource.zh-CN.resx">
      <SubType>Designer</SubType>
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>LResource.zh-CN.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\OperationPanel.resx">
      <DependentUpon>OperationPanel.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <EmbeddedResource Include="Views\Verify.resx">
      <DependentUpon>Verify.cs</DependentUpon>
    </EmbeddedResource>
    <None Include="app.config" />
    <None Include="app.manifest" />
    <None Include="Config.json" />
    <None Include="Config\Config.json" />
    <None Include="Lib\SQLite\System.Data.SQLite.dll.config" />
    <None Include="packages.config" />
    <None Include="Packagescript\setup without net40.nsi" />
    <None Include="Packagescript\setup.nsi" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <ItemGroup>
    <Content Include="Icons\icon.ico" />
    <Content Include="Icons\operation icon.ico" />
    <Content Include="Icons\SCBC Factory Tools.ico" />
    <Content Include="Lib\CSkin\CSkin.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Lib\CSkin\CSkin.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Lib\Newtonsoft.Json\Newtonsoft.Json.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Lib\SQLite\Devaof.DB.SqlBuilder.dll" />
    <Content Include="Lib\SQLite\Devaof.DB.SQLite.dll" />
    <Content Include="Lib\SQLite\System.Data.SQLite.dll" />
    <Content Include="Lib\SQLite\System.Data.SQLite.xml" />
    <Content Include="Lib\SQLite\x64\SQLite.Interop.dll" />
    <Content Include="Lib\SQLite\x86\SQLite.Interop.dll" />
    <Content Include="Licence.txt" />
    <None Include="Resources\%24this.Icon.ico" />
    <Content Include="Runtime\dotnetfx45_full_x86_x64.exe" />
    <Content Include="Upgradelog\Licence3.0.0.1.txt" />
    <Content Include="Upgradelog\Licence3.0.0.2.txt" />
    <Content Include="Upgradelog\Licence3.0.0.3.txt" />
    <Content Include="Upgradelog\Licence3.0.0.5.txt" />
    <Content Include="Upgradelog\Licence3.0.0.6.txt" />
    <Content Include="Upgradelog\Licence3.0.0.7.txt" />
    <Content Include="Upgradelog\Licence3.0.0.8.txt" />
    <Content Include="Upgradelog\Licence3.0.0.9.txt" />
    <Content Include="Upgradelog\Licence3.0.1.0.txt" />
    <Content Include="Upgradelog\Licence3.0.1.1.txt" />
    <Content Include="Upgradelog\Licence3.0.1.2.txt" />
    <Content Include="Upgradelog\Licence3.0.1.3,4.txt" />
    <Content Include="Upgradelog\Licence3.0.1.5.txt" />
    <Content Include="Upgradelog\Licence3.0.1.6.txt" />
    <Content Include="Upgradelog\Licence3.0.1.8.txt" />
    <Content Include="Upgradelog\Licence3.0.2.0.txt" />
    <Content Include="Upgradelog\Licence3.0.2.1.txt" />
    <Content Include="Upgradelog\Licence3.0.2.2.txt" />
    <Content Include="Upgradelog\Licence3.0.2.3.txt" />
    <Content Include="Upgradelog\Licence3.0.2.4.txt" />
    <Content Include="Upgradelog\Licence3.0.2.5.txt" />
    <Content Include="Upgradelog\Licence3.0.2.6.txt" />
    <Content Include="Upgradelog\Licence3.0.2.7.txt" />
    <Content Include="Upgradelog\Licence3.0.2.8.txt" />
    <Content Include="Upgradelog\Licence3.0.2.9.txt" />
    <Content Include="Upgradelog\Licence3.0.3.0.txt" />
    <Content Include="Upgradelog\Licence3.0.3.1.txt" />
    <Content Include="Upgradelog\Licence3.0.3.2.txt" />
    <Content Include="Upgradelog\Licence3.0.3.3.txt" />
    <Content Include="Upgradelog\Licence3.0.3.4.txt" />
    <Content Include="Upgradelog\Licence3.0.3.5.txt" />
    <Content Include="Upgradelog\Licence3.0.3.7.txt" />
    <Content Include="Upgradelog\Licence3.0.3.8.txt" />
    <Content Include="Upgradelog\Licence3.0.3.9.txt" />
    <Content Include="Upgradelog\Licence3.0.4.0.txt" />
    <Content Include="Upgradelog\Licence3.0.4.1.txt" />
    <Content Include="Upgradelog\Licence3.0.4.3.txt" />
    <Content Include="Upgradelog\Licence3.0.4.4.txt" />
    <Content Include="Upgradelog\Licence3.0.4.5.txt" />
    <Content Include="Upgradelog\Licence3.0.4.6.txt" />
    <Content Include="Upgradelog\Licence3.0.4.7.txt" />
    <Content Include="Upgradelog\Licence3.0.4.8.txt" />
    <Content Include="Upgradelog\Licence3.0.4.9.txt" />
    <Content Include="Upgradelog\Licence3.0.5.0.txt" />
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Connected Services\" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <ProjectExtensions>
    <VisualStudio>
      <UserProperties config_1json__JsonSchema="" />
    </VisualStudio>
  </ProjectExtensions>
  <Import Project="packages\Stub.System.Data.SQLite.Core.NetFramework.1.0.115.5\build\net46\Stub.System.Data.SQLite.Core.NetFramework.targets" Condition="Exists('packages\Stub.System.Data.SQLite.Core.NetFramework.1.0.115.5\build\net46\Stub.System.Data.SQLite.Core.NetFramework.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>这台计算机上缺少此项目引用的 NuGet 程序包。使用“NuGet 程序包还原”可下载这些程序包。有关更多信息，请参见 http://go.microsoft.com/fwlink/?LinkID=322105。缺少的文件是 {0}。</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('packages\Stub.System.Data.SQLite.Core.NetFramework.1.0.115.5\build\net46\Stub.System.Data.SQLite.Core.NetFramework.targets')" Text="$([System.String]::Format('$(ErrorText)', 'packages\Stub.System.Data.SQLite.Core.NetFramework.1.0.115.5\build\net46\Stub.System.Data.SQLite.Core.NetFramework.targets'))" />
  </Target>
  <PropertyGroup>
    <PreBuildEvent>$(ProjectDir)gitver.exe 2</PreBuildEvent>
  </PropertyGroup>
  <PropertyGroup>
    <PostBuildEvent>cd $(ProjectDir)
git checkout .\Properties\AssemblyInfo.cs</PostBuildEvent>
  </PropertyGroup>
</Project>